// angular
import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';

// libs
import { Observable } from 'rxjs';

// app
import { ApiRoutes } from '../api-routes';
import { CurrencyModel } from '../model/currency.model';

@Injectable()
export class CurrencyService {

	constructor(
		private httpClient: HttpClient,
	) {
	}

	public getCurrencies(): Observable<CurrencyModel[]> {
		return this.httpClient
			.get<CurrencyModel[]>(ApiRoutes.SettingsCurrencies);
	}
}
